Announcement Announcement Module
Collapse
No announcement yet.
Failed to install plugin [hibernate-1.3.7]. Plugin has missing JAR dependencies. Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Failed to install plugin [hibernate-1.3.7]. Plugin has missing JAR dependencies.

    I'm trying to create my first grails project (grailsp1) using SpringSourceToolSuite, however, I am getting this error:
    Failed to install plugin [hibernate-1.3.7]. Plugin has missing JAR dependencies.. Complete details below.

    Welcome to Grails 1.3.7 - http://grails.org/
    Licensed under Apache Standard License 2.0
    Grails home is set to: C:\springsource\grails-1.3.7\

    Base Directory: C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE
    Resolving dependencies...
    :: problems summary ::
    :::: WARNINGS
    module not found: org.jboss.netty#netty;3.1.5.GA

    ==== grailsPlugins: tried

    -- artifact org.jboss.netty#netty;3.1.5.GA!netty.jar:

    C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE/lib/netty-3.1.5.GA.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\lib/netty-3.1.5.GA.xml

    -- artifact org.jboss.netty#netty;3.1.5.GA!netty.jar:

    C:\springsource\grails-1.3.7\lib/netty-3.1.5.GA.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\dist/netty-3.1.5.GA.xml

    -- artifact org.jboss.netty#netty;3.1.5.GA!netty.jar:

    C:\springsource\grails-1.3.7\dist/netty-3.1.5.GA.jar

    ==== grailsHome: tried

    -- artifact org.jboss.netty#netty;3.1.5.GA!netty.jar:

    C:\springsource\grails-1.3.7/plugins/grails-netty-3.1.5.GA.jar

    module not found: junit#junit;3.8.1

    ==== grailsPlugins: tried

    -- artifact junit#junit;3.8.1!junit.jar:

    C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE/lib/junit-3.8.1.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\lib/junit-3.8.1.xml

    -- artifact junit#junit;3.8.1!junit.jar:

    C:\springsource\grails-1.3.7\lib/junit-3.8.1.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\dist/junit-3.8.1.xml

    -- artifact junit#junit;3.8.1!junit.jar:

    C:\springsource\grails-1.3.7\dist/junit-3.8.1.jar

    ==== grailsHome: tried

    -- artifact junit#junit;3.8.1!junit.jar:

    C:\springsource\grails-1.3.7/plugins/grails-junit-3.8.1.jar

    module not found: xml-apis#xml-apis;1.3.04

    ==== grailsPlugins: tried

    -- artifact xml-apis#xml-apis;1.3.04!xml-apis.jar:

    C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE/lib/xml-apis-1.3.04.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\lib/xml-apis-1.3.04.xml

    -- artifact xml-apis#xml-apis;1.3.04!xml-apis.jar:

    C:\springsource\grails-1.3.7\lib/xml-apis-1.3.04.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\dist/xml-apis-1.3.04.xml

    -- artifact xml-apis#xml-apis;1.3.04!xml-apis.jar:

    C:\springsource\grails-1.3.7\dist/xml-apis-1.3.04.jar

    ==== grailsHome: tried

    -- artifact xml-apis#xml-apis;1.3.04!xml-apis.jar:

    C:\springsource\grails-1.3.7/plugins/grails-xml-apis-1.3.04.jar

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: UNRESOLVED DEPENDENCIES ::

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: org.jboss.netty#netty;3.1.5.GA: not found

    :: junit#junit;3.8.1: not found

    :: xml-apis#xml-apis;1.3.04: not found

    ::::::::::::::::::::::::::::::::::::::::::::::


    :: problems summary ::
    :::: WARNINGS
    module not found: commons-digester#commons-digester;1.6

    ==== grailsPlugins: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE/lib/commons-digester-1.6.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.jar

    ==== grailsHome: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7/plugins/grails-commons-digester-1.6.jar

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: UNRESOLVED DEPENDENCIES ::

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: commons-digester#commons-digester;1.6: not found

    ::::::::::::::::::::::::::::::::::::::::::::::


    Dependencies resolved in 2898ms.
    Running script C:\springsource\grails-1.3.7\scripts\CreateApp_.groovy
    Environment set to development
    :: problems summary ::
    :::: WARNINGS
    module not found: commons-digester#commons-digester;1.6

    ==== grailsPlugins: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE/lib/commons-digester-1.6.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.jar

    ==== grailsHome: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7/plugins/grails-commons-digester-1.6.jar

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: UNRESOLVED DEPENDENCIES ::

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: commons-digester#commons-digester;1.6: not found

    ::::::::::::::::::::::::::::::::::::::::::::::


    :: problems summary ::
    :::: WARNINGS
    module not found: commons-digester#commons-digester;1.6

    ==== grailsPlugins: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE/lib/commons-digester-1.6.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.jar

    ==== grailsHome: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7/plugins/grails-commons-digester-1.6.jar

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: UNRESOLVED DEPENDENCIES ::

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: commons-digester#commons-digester;1.6: not found

    ::::::::::::::::::::::::::::::::::::::::::::::



    :: problems summary ::
    :::: WARNINGS
    module not found: commons-digester#commons-digester;1.6

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\lib/commons-digester-1.6.jar

    ==== grailsHome: tried

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.xml

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7\dist/commons-digester-1.6.jar

    ==== grailsHome: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\springsource\grails-1.3.7/plugins/grails-commons-digester-1.6.jar

    ==== grailsCentral: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    http://svn.codehaus.org/grails-plugi...gester-1.6.jar

    ==== grailsCore: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    http://svn.codehaus.org/grails/trunk...gester-1.6.jar

    ==== grailsPlugins: tried

    -- artifact commons-digester#commons-digester;1.6!commons-digester.jar:

    C:\Users\john1350\Documents\workspace-sts-2.7.1.RELEASE\grailsp1/lib/commons-digester-1.6.jar

    C:\Users\john1350\.grails\1.3.7\projects\grailsp1\ plugins\hibernate-1.3.7/lib/commons-digester-1.6.jar

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: UNRESOLVED DEPENDENCIES ::

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: commons-digester#commons-digester;1.6: not found

    ::::::::::::::::::::::::::::::::::::::::::::::


    Failed to install plugin [hibernate-1.3.7]. Plugin has missing JAR dependencies.
    [delete] Deleting directory C:\Users\john1350\.grails\1.3.7\projects\grailsp1\ plugins\hibernate-1.3.7

  • #2
    Hi John

    Sorry for the long delay. Your message somehow fell through the cracks. Are you still having this problem?
    One thing you could try is deleting your ${user.home}/.ivy2 folder. I've seen this type of error before and it is often caused by a problem in the ivy cache. Deleting the cache may solve the problem.

    Kris

    Comment

    Working...
    X